(define (host) "i686-pc-linux-gnu")

(define (machine-vendor-os)
  (let ((match (regexp-search (rx (submatch (+ (~ #\-))) "-"
                                  (submatch (+ (~ #\-))) "-"
                                  (submatch (+ any)))
                              (host))))
    (list (match:substring match 1)
          (match:substring match 2)
          (match:substring match 3))))

(define (machine)
  (car (machine-vendor-os)))

(define (vendor)
  (cadr (machine-vendor-os)))

(define (os)
  (caddr (machine-vendor-os)))

(define (prefix) "/usr")

(define (exec-prefix) "/usr")

(define (bin-dir) "/usr/bin")

(define (lib-dir) "/usr/lib")

(define (include-dir) "/usr/include/scsh-0.6")

(define (man-dir) "/usr/share/man/man1")

(define (lib-dirs-list) (quote ("/usr/local/lib/scsh-0.6/modules/" "/usr/lib/scsh-0.6/modules/")))

(define (libs) "-lelf -lcrypt -lnsl -ldl -lm -lc")

(define (defs) "-DHAVE_CONFIG_H")

(define (cflags) "-g -Wall -O2 -D_GNU_SOURCE")

(define (cppflags) "")

(define (ldflags) "-rdynamic")

(define (compiler-flags)
  (string-join (list "-I" (include-dir) (defs))))

(define (linker-flags)
  (string-join (list "-L" (lib-dir) (libs) "-lscsh") " "))

;;; Local Variables: 
;;; mode: Scheme
;;; End: 
